Package ru.bitel.bgbilling.modules.aots.server.bean

# Class AOTSContractServiceDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<AOTSContractService>
ru.bitel.bgbilling.modules.aots.server.bean.AOTSContractServiceDao

public class AOTSContractServiceDao extends ru.bitel.bgbilling.common.dao.AbstractDao<AOTSContractService>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AOTSContractServiceDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `delete(String id)`
  `boolean`
  `deleteById(String id)`
  `AOTSContractService`
  `getById(String id)`
  `protected AOTSContractService`
  `getFromRS(ResultSet rs)`
  `BigDecimal`
  `getServiceSum(int contractId, int serviceId, Period period)`
  `List<AOTSContractService>`
  `list(int contractId, int serviceId, int year, int month)`
  `void`
  `searchAOTSContractService(SearchResult<AOTSContractService> searchResult, int contractId)`
  `protected void`
  `updateImpl(AOTSContractService contractService)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AOTSContractServiceDao

    public AOTSContractServiceDao(Connection con, int moduleId)

- ## Method Details

  - ### searchAOTSContractService

    public void searchAOTSContractService(SearchResult<AOTSContractService> searchResult, int contractId) throws SQLException
    Throws:
      `SQLException`

  - ### list

    public List<AOTSContractService> list(int contractId, int serviceId, int year, int month) throws SQLException
    Throws:
      `SQLException`

  - ### getFromRS

    protected AOTSContractService getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<AOTSContractService>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(AOTSContractService contractService) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<AOTSContractService>`
    Throws:
      `SQLException`

  - ### delete

    public int delete(@Nonnull String id) throws SQLException
    Throws:
      `SQLException`

  - ### getById

    public AOTSContractService getById(String id) throws SQLException
    Throws:
      `SQLException`

  - ### deleteById

    public boolean deleteById(String id) throws SQLException
    Throws:
      `SQLException`

  - ### getServiceSum

    public BigDecimal getServiceSum(int contractId, int serviceId, Period period) throws SQLException
    Throws:
      `SQLException`